import { OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * [Spacer Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-spacer--readme)
 *
 * An invisible utility component that acts as a spacer element in various layouts.
 * It works with flexbox sizing or fixed sizing.
 */
export declare class SpacerComponent implements OnChanges, OnInit {
    /** Flex grow/shrink value for use in flex layouts
     *
     * @default 1
     * */
    flex: number;
    /** Height (in px) for static layouts */
    height: number;
    /** Width (in px) for static layouts */
    width: number;
    grow: string;
    display: string;
    ngOnInit(): void;
    ngOnChanges(): void;
    calcGrow(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpacerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpacerComponent, "blui-spacer", never, { "flex": "flex"; "height": "height"; "width": "width"; }, {}, never, ["*"]>;
}
export declare class SpacerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SpacerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SpacerModule, [typeof SpacerComponent], never, [typeof SpacerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SpacerModule>;
}
